# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_ColourRgb Class Reference

`#include <StepVisual_ColourRgb.hxx>`

Inheritance diagram for StepVisual_ColourRgb:

[legend]

## Public Member Functions

Standard_EXPORT | StepVisual_ColourRgb ()
| Returns a ColourRgb .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Standard_Real aRed, const Standard_Real aGreen, const Standard_Real aBlue)
Standard_EXPORT void | SetRed (const Standard_Real aRed)
Standard_EXPORT Standard_Real | Red () const
Standard_EXPORT void | SetGreen (const Standard_Real aGreen)
Standard_EXPORT Standard_Real | Green () const
Standard_EXPORT void | SetBlue (const Standard_Real aBlue)
Standard_EXPORT Standard_Real | Blue () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Real | red
Standard_Real | green
Standard_Real | blue

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_ColourRgb::StepVisual_ColourRgb | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Real StepVisual_ColourRgb::Blue | ( |  | ) | const

Standard_EXPORT Standard_Real StepVisual_ColourRgb::Green | ( |  | ) | const

Standard_EXPORT const StepVisual_ColourRgb::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepVisual_ColourSpecification.

virtual Standard_EXPORT void StepVisual_ColourRgb::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Real | aRed,
|  | const Standard_Real | aGreen,
|  | const Standard_Real | aBlue
| ) | `[virtual]`

virtual Standard_EXPORT void StepVisual_ColourRgb::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepVisual_ColourSpecification.

Standard_EXPORT Standard_Real StepVisual_ColourRgb::Red | ( |  | ) | const

Standard_EXPORT void StepVisual_ColourRgb::SetBlue | ( | const Standard_Real | aBlue | ) |

Standard_EXPORT void StepVisual_ColourRgb::SetGreen | ( | const Standard_Real | aGreen | ) |

Standard_EXPORT void StepVisual_ColourRgb::SetRed | ( | const Standard_Real | aRed | ) |

## Field Documentation

Standard_Real StepVisual_ColourRgb::blue `[private]`

Standard_Real StepVisual_ColourRgb::green `[private]`

Standard_Real StepVisual_ColourRgb::red `[private]`

The documentation for this class was generated from the following file:

- StepVisual_ColourRgb.hxx